﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public struct Score
    {
        private int PlayerScore { get; set; }
        public string PlayerTag { get; }

        public Score(Player? p)
        {
            if (p == null)
            {
                throw new ArgumentNullException(nameof(p), "player cannot be null");
            }
            else
            {   PlayerScore = 0;
                PlayerTag = p.NameTag;
            }
        }
    }
}
